org.apache.geode.distributed

## Class LockServiceDestroyedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.geode.distributed.LockServiceDestroyedException

- All Implemented Interfaces:
    java.io.Serializable

      public class LockServiceDestroyedException
      extends java.lang.IllegalStateException

  A `LockServiceDestroyedException` is thrown when attempting use a distributed lock service that has been destroyed.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockServiceDestroyedException()` Constructs a new exception with `null` as its detail message.
    `LockServiceDestroyedException(java.lang.String message)` Constructs a new exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockServiceDestroyedException

          public LockServiceDestroyedException()

      Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### LockServiceDestroyedException

          public LockServiceDestroyedException(java.lang.String message)

      Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.